

/**
 * Created by dan on 6/14/17.
 */
public class StringUtilities {
    /**
     * @return `Hello World` as a string
     */
    public String getHelloWorld() {
        return "Hello World";
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of two strings, `firstSegment`, and `secondSegment`
     */
    public String concatenation(String firstSegment, String secondSegment){
        String concatStr = firstSegment + secondSegment;
        return concatStr;
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of an integer, `firstSegment`, and a String, `secondSegment`
     */
    public String concatenation(int firstSegment, String secondSegment){
        String concatIntStr = Integer.toString(firstSegment) + secondSegment;
        return concatIntStr;
    }

    /**
     * @param input a string to be manipulated
     * @return the first 3 characters of `input`
     */
    public String getPrefix(String input){
        String preStr = input.substring(0, 3);
        return preStr;
    }

    /**
     * @param input a string to be manipulated
     * @return the last 3 characters of `input`
     */
    public String getSuffix(String input){
        String suffStr = input.substring(input.length() - 3);
        return suffStr;
    }

    /**
     * @param inputValue the value to be compared
     * @param comparableValue the value to be compared against
     * @return the equivalence of two strings, `inputValue` and `comparableValue`
     */
    public Boolean compareTwoStrings(String inputValue, String comparableValue){
        Boolean same = inputValue.equals(comparableValue);
        return same;
    }

    /**
     * @param inputValue the value input from user
     * @return the middle character of `inputValue`
     */
    public Character getMiddleCharacter(String inputValue){
        int middle = inputValue.length() / 2;
        if (middle % 2 == 0) {
            middle -= 1;
        }
        return inputValue.charAt(middle);
    }

    /**
     * @param spaceDelimitedString a string, representative of a sentence, containing spaces
     * @return the first sequence of characters
     */
    public String getFirstWord(String spaceDelimitedString){
        String[] words = spaceDelimitedString.split(" ");
        return words[0];
    }

    /**
     * @param spaceDelimitedString a string delimited by spaces
     * @return the second word of a string delimited by spaces.
     */
    public String getSecondWord(String spaceDelimitedString){
        String[] words = spaceDelimitedString.split(" ");
        return words[1];
    }

    /**
     * @param stringToReverse
     * @return an identical string with characters in reverse order.
     */
    public String reverse(String stringToReverse){
        String reverse = "";
        int strLength = stringToReverse.length();
        for (int i = 0; i < strLength; i++) {
            reverse += stringToReverse.charAt(strLength - i - 1);
        }
        return reverse;
    }

    /**
     * @param input
     * @return an identical string with spaces removed.
     */
    public String removeWhitespace(String input){
        String returnStr = "";
        for (int i = 0; i < input.length(); i++) {
            if (input.charAt(i) != ' ') {
                returnStr += input.charAt(i);
            }
        }
        return returnStr;
    }

    /**
     * @param input
     * @return an identical string with spaces in the front and end removed.
     */
    public String trim(String input){
        return input.trim();
    }
}
